<!-- spell-checker:ignore N'th M'th -->
# numfmt

## Usage
```
numfmt [OPTION]... [NUMBER]...
```

## About

Convert numbers from/to human-readable strings

## After Help

`UNIT` options:
 - `none`: no auto-scaling is done; suffixes will trigger an error
 - `auto`: accept optional single/two letter suffix:

       1K = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

 - `si`: accept optional single letter suffix:

       1K = 1000, 1M = 1000000, ...

 - `iec`: accept optional single letter suffix:

       1K = 1024, 1M = 1048576, ...

- `iec-i`: accept optional two-letter suffix:

       1Ki = 1024, 1Mi = 1048576, ...

`FIELDS` supports `cut(1)` style field ranges:

    N    N'th field, counted from 1
    N-   from N'th field, to end of line
    N-M  from N'th to M'th field (inclusive)
    -M   from first to M'th field (inclusive)
    -    all fields

Multiple fields/ranges can be separated with commas

`FORMAT` must be suitable for printing one floating-point argument `%f`.
Optional quote (`%'f`) will enable --grouping (if supported by current locale).
Optional width value (`%10f`) will pad output. Optional zero (`%010f`) width
will zero pad the number. Optional negative values (`%-10f`) will left align.
Optional precision (`%.1f`) will override the input determined precision.
